package com.yijia.station.service;

import java.util.List;
import com.yijia.station.domain.StationOilGun;

/**
 * 油枪管理Service接口
 * 
 * @author yijia
 * @date 2020-12-09
 */
public interface IStationOilGunService 
{
    /**
     * 查询油枪管理
     * 
     * @param oilGunId 油枪管理ID
     * @return 油枪管理
     */
    public StationOilGun selectStationOilGunById(Long oilGunId);

    /**
     * 查询油枪管理列表
     * 
     * @param stationOilGun 油枪管理
     * @return 油枪管理集合
     */
    public List<StationOilGun> selectStationOilGunList(StationOilGun stationOilGun);

    /**
     * 新增油枪管理
     * 
     * @param stationOilGun 油枪管理
     * @return 结果
     */
    public int insertStationOilGun(StationOilGun stationOilGun);

    /**
     * 修改油枪管理
     * 
     * @param stationOilGun 油枪管理
     * @return 结果
     */
    public int updateStationOilGun(StationOilGun stationOilGun);

    /**
     * 批量删除油枪管理
     * 
     * @param oilGunIds 需要删除的油枪管理ID
     * @return 结果
     */
    public int deleteStationOilGunByIds(Long[] oilGunIds);

    /**
     * 删除油枪管理信息
     * 
     * @param oilGunId 油枪管理ID
     * @return 结果
     */
    public int deleteStationOilGunById(Long oilGunId);

}
